#!/usr/bin/python
# -*- coding: utf-8 -*-

"""
Setup file to build the Lens & Scopes
"""

from distutils.core import setup
from DistUtilsExtra.command import build_extra
from DistUtilsExtra.command import build_i18n

setup(name="unity-lens-web-history",
      version="0.5",
      author="Mark Tully",
      author_email="markjtully@gmail.com",
      url="http://launchpad.net/unity-web-history-lens",
      license="GNU General Public License Version 2 (GPLv2)",
      data_files=[('share/unity/lenses/webhistory', ['webhistory.lens']),
                  ('share/unity/lenses/webhistory', ['bookmarks.scope']),
                  ('share/dbus-1/services', ['unity-lens-web-history.service']),
                  ('share/dbus-1/services', ['unity-lens-web-history-bookmarks.service']),
                  ('lib/unity-lens-web-history', ['unity-web-history-daemon.py']),
                  ('lib/unity-lens-web-history', ['bookmarks.py']),
                  ('lib/unity-lens-web-history', ['globe.svg']), ],
      cmdclass={"build": build_extra.build_extra,
                "build_i18n": build_i18n.build_i18n, })
